#ifndef FORMCHARGINGRECORDSITEM_H
#define FORMCHARGINGRECORDSITEM_H

#include <QWidget>

#include "DataTypeDef.h"
#include <QLabel>

namespace Ui {
class FormChargingRecordsItem;
}

class FormChargingRecordsItem : public QWidget
{
    Q_OBJECT

public:
    explicit FormChargingRecordsItem(QWidget *parent = nullptr);
    ~FormChargingRecordsItem();

    void setChargingRecordInfo(charging_record_info_t newCharging_record_info);

private:
    void updateShow();
    void setBackgroundImage();

private:
    Ui::FormChargingRecordsItem *ui;
    charging_record_info_t m_charging_record_info;
    QLabel* m_background;
};

#endif // FORMCHARGINGRECORDSITEM_H
